<?php
class EVENT {
	private $day = "";
	private $startTime = 0;
	private $endTime = 0;
	private $room = "";
	function __construct($day,$startTime,$endTime,$room) {
		$this->day = $day;
		$this->startTime = $startTime;
		$this->endTime = $endTime;
		$this->room = $room;
	}
	public function getDay() {
		return $this->day;
	}
	public function getStartTime() {
		return $this->startTime;
	}
	public function getEndTime() {
		return $this->endTime;
	}
	public function getRoom() {
		return $this->room;
	}
	public function setDay($day) {
		$this->day = $day;
	}
	public function setStartTime($startTime) {
		$this->startTime = $startTime;
	}
	public function setEndTime($endTime) {
		$this->endTime = $endTime;
	}
	public function setRoom($room) {
		$this->room = $room;
	}
	
	public function toJson() {
		$json = '{';
		$json .= '"Day": '.$this->day;
		$json .= ',"StartTime": "'.$this->startTime . '"';
		$json .= ',"EndTime": "'.$this->endTime . '"';
		$json .= ',"Room": "'.$this->room . '"';
		$json .= '}';
		return $json;
	}
	
	public function toInnerJson() {
		$json = '"Day": '.$this->day;
		$json .= ',"StartTime": "'.$this->startTime . '"';
		$json .= ',"EndTime": "'.$this->endTime . '"';
		$json .= ',"Room": "'.$this->room . '"';
		return $json;
	}
	
	public function __toString() {
		return "Day: " . $this->day . ", StartTime: " . $this->startTime . ", EndTime: ". $this->endTime . ", Room: ".$this->room;
	}
}
?>